package image

import (
	"gitlink.org.cn/JointCloud/pcm-coordinator/api/internal/logic/image"
	"gitlink.org.cn/JointCloud/pcm-coordinator/api/internal/svc"
	"gitlink.org.cn/JointCloud/pcm-coordinator/pkg/repository/result"
	"net/http"
)

func ImageListHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		l := image.NewImageListLogic(r.Context(), svcCtx)
		resp, err := l.ImageList()
		result.HttpResult(r, w, resp, err)
	}
}
